import PermalinkConstructor, { PermalinkParts } from "./PermalinkConstructor";
export declare const host = "matrix.to";
export declare const baseUrl = "https://matrix.to";
export declare const baseUrlPattern: string;
/**
 * Generates matrix.to permalinks
 */
export default class MatrixToPermalinkConstructor extends PermalinkConstructor {
    constructor();
    forEvent(roomId: string, eventId: string, serverCandidates: string[]): string;
    forRoom(roomIdOrAlias: string, serverCandidates: string[]): string;
    forUser(userId: string): string;
    forEntity(entityId: string): string;
    isPermalinkHost(testHost: string): boolean;
    encodeServerCandidates(candidates: string[]): string;
    parsePermalink(fullUrl: string): PermalinkParts;
}
